#include <iostream>
#include <iomanip>
#include <cmath>
using namespace std;

/* run this program using the console pauser or add your own getch, system("pause") or input loop */

int main(int argc, char** argv) {
	
	int n;
	cin>>n;
	double a[n];
	double p[n];
	for (int i = 0; i<n; i++)
	{
	cin>>a[i]>>p[i];	
	}
	double z= 0.00;
	double pv = 0.00;
	double q;
	for (int j=0; j<n; j++)
	{
	q= p[j];
	for (int i=0; i<n; i++)
		{
		if(q<=p[i])
			{
			pv = pv + a[i] * q/100;
			
			}
		}
		if (pv>=z)
		{
		z= pv;	
		}
		pv=0;

	}
	cout<<fixed<< setprecision (3) <<z;
	return 0;
	
}